Class Index | File Index

## Classes

- _global_
- jasmine
- jasmine.Block
- jasmine.Env
- jasmine.JsApiReporter
- jasmine.Matchers
- jasmine.MultiReporter
- jasmine.NestedResults
- jasmine.Reporter
- jasmine.Runner
- jasmine.Spec
- jasmine.Spy
- jasmine.Suite
- jasmine.util

# Class jasmine.Env

Defined in: jasmine-0.10.0.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jasmine.Env() Environment for Jasmine

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addReporter(reporter) Register a reporter to receive status updates from Jasmine.
| nextSpecId()
| nextSuiteId()
| version()

Class Detail
jasmine.Env()
Environment for Jasmine
Method Detail
addReporter(reporter)
Register a reporter to receive status updates from Jasmine.

Parameters:
{jasmine.Reporter} reporter
  An object which will receive status updates.

nextSpecId()

Returns:
  a sequential integer starting at 0

nextSuiteId()

Returns:
  a sequential integer starting at 0

version()

Returns:
  an object containing jasmine version build info, if set.

Documentation generated by JsDoc Toolkit 2.1.0 on Sat Oct 31 2009 21:44:38 GMT-0700 (PDT)